ACL (JavaMail API documentation)
Date: 2018-10-22

com.sun.mail.imap

## Class ACL

- java.lang.Object
- - com.sun.mail.imap.ACL

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ACL
      extends java.lang.Object
      implements java.lang.Cloneable

  An access control list entry for a particular authentication identifier (user or group). Associates a set of Rights with the identifier. See RFC 2086.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ACL(java.lang.String name)` Construct an ACL entry for the given identifier and with no rights.
    `ACL(java.lang.String name, Rights rights)` Construct an ACL entry for the given identifier with the given rights.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone this ACL entry.
    `java.lang.String` | `getName()` Get the identifier name for this ACL entry.
    `Rights` | `getRights()` Get the rights associated with this ACL entry.
    `void` | `setRights(Rights rights)` Set the rights associated with this ACL entry.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ACL

          public ACL(java.lang.String name)

      Construct an ACL entry for the given identifier and with no rights.
      Parameters:
        `name` - the identifier name

    - #### ACL

          public ACL(java.lang.String name,
                     Rights rights)

      Construct an ACL entry for the given identifier with the given rights.
      Parameters:
        `name` - the identifier name
        `rights` - the rights

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get the identifier name for this ACL entry.
      Returns:
        the identifier name

    - #### setRights

          public void setRights(Rights rights)

      Set the rights associated with this ACL entry.
      Parameters:
        `rights` - the rights

    - #### getRights

          public Rights getRights()

      Get the rights associated with this ACL entry. Returns the actual Rights object referenced by this ACL; modifications to the Rights object will effect this ACL.
      Returns:
        the rights

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone this ACL entry.
      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.